- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class TSessionIterator

TSessionIterator class

TSessionIterator implements Iterator interface.

TSessionIterator is used by THttpSession. It allows THttpSession to return a new iterator for traversing the session variables.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
mixed | current () Returns the current array element.
mixed | key () Returns the key of the current array element.
void | next () Moves the internal pointer to the next array element.
void | rewind () Rewinds internal array pointer.
boolean | valid () Returns whether there is an element at current position.

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## current

public mixed current | ()

Returns the current array element.

This method is required by the interface Iterator.

Output
mixed | the current array element
Exception

## key

public mixed key | ()

Returns the key of the current array element.

This method is required by the interface Iterator.

Output
mixed | the key of the current array element
Exception

## next

public void next | ()

Moves the internal pointer to the next array element.

This method is required by the interface Iterator.

Output
Exception

## rewind

public void rewind | ()

Rewinds internal array pointer.

This method is required by the interface Iterator.

Output
Exception

## valid

public boolean valid | ()

Returns whether there is an element at current position.

This method is required by the interface Iterator.

Output
Exception